Loading...
Searching...
No Matches
denom_list.cc File Reference
`#include "kernel/mod2.h"`
`#include "kernel/GBEngine/kutil.h"`
`#include "Singular/lists.h"`

Go to the source code of this file.

## Functions

lists | get_denom_list ()

## Function Documentation

## get_denom_list()

lists get_denom_list | ( |  | ) |

Definition at line 8 of file denom_list.cc.

{
int size;
denominator_list d = DENOMINATOR_LIST;
size=0;
while(d!=NULL)
{
size++;
d=d->next;
}
lists l=(lists)omAlloc(sizeof(*l));
l->Init(size);
d=DENOMINATOR_LIST;
for (int i=0;i<size;i++)
{
l->m[i].rtyp=NUMBER_CMD;
l->m[i].data=d->n;
d=d->next;
omFree(DENOMINATOR_LIST);
DENOMINATOR_LIST=d;
}
return l;
}
size
int size(const CanonicalForm &f, const Variable &v)
int size ( const CanonicalForm & f, const Variable & v )
Definition cf_ops.cc:600
l
int l
Definition cfEzgcd.cc:100
i
int i
Definition cfEzgcd.cc:132
NUMBER_CMD
@ NUMBER_CMD
Definition grammar.cc:289
DENOMINATOR_LIST
VAR denominator_list DENOMINATOR_LIST
Definition kutil.cc:79
denominator_list
denominator_list_s * denominator_list
Definition kutil.h:64
denominator_list_s::n
number n
Definition kutil.h:66
denominator_list_s::next
denominator_list next
Definition kutil.h:66
lists
slists * lists
Definition mpr_numeric.h:146
omAlloc
#define omAlloc(size)
Definition omAllocDecl.h:210
omFree
#define omFree(addr)
Definition omAllocDecl.h:261
NULL
#define NULL
Definition omList.c:12